Bug 103465 - Remove switchdesk
Remove switchdesk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Reopened, Triaged
Depends On: 112477
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-31 08:16 EDT by Kjartan Maraas
Modified: 2008-03-05 08:38 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 08:38:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2003-08-31 08:16:19 EDT
Description of problem:

Switchdesk should be removed from the distro. It's unmaintained, non-localised
and based on an old version of gtk. In addition both gdm and kdm can do what
it's supposed to do anyway.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2003-08-31 08:17:18 EDT
And from what I hear both the current owner and Havoc agree that it should go. 
Comment 2 Bill Nottingham 2003-08-31 21:49:09 EDT
HP: It's entirely up to you.
Comment 3 Havoc Pennington 2003-08-31 21:51:41 EDT
This discussion has been had a few times, I thought there was some reason we 
kept switchdesk though. I don't remember.
Comment 4 Jonathan Blandford 2003-08-31 22:06:36 EDT
I don't feel attached to it at all.  Given that we're down to two meaningful
environments, I don't see a compelling reason to keep it around.
Comment 5 Mike A. Harris 2003-08-31 22:52:44 EDT
I agree switchdesk should be removed at the soonest opportunity barring
some major reason springing forth in favour of it staying, with logical
rational backing, however..  doing so at this point in the cycle might
bring unforseen dependancy problems or other distribution weirdness.

Should we wait for Cambridge += 1; instead perhaps?  Just a 
thought.

[mharris@devel mharris]$ rpm -q --whatrequires switchdesk
xinitrc-3.31-1

Dunno if there are other deps in the current tree or not.
Comment 6 Florian La Roche 2003-09-18 05:56:53 EDT
xinitrc should also be re-written with sane and good shell scripts. The current
ones are also too unmaintained.

greetings,

Florian La Roche
Comment 7 George Lebl 2003-09-19 21:57:39 EDT
Note that until KDE 3.2 the 'saved' session will not be shared between KDM and
GDM.  The session setup is still a little in flux (I recommend upgrading GDM in
redhat to 2.4.4.2 as soon as it comes out either over the weekend or monday,
2.4.4.0 has some somewhat evil bugs in the session code, especially relating to
KDM (KDE 3.2) interoperability ...)
Comment 8 George Lebl 2003-09-19 22:02:31 EDT
Btw, if this is done make sure to change 'ShowLastSession=false' to
'ShowLastSession=true' in the gdm.conf config file for gdm, else people won't be
able to save their session.
Comment 9 Havoc Pennington 2003-10-08 16:09:44 EDT
Marking as cambridge target, but really that's just so it will get moved to 
Cambridge+1 target when we mass-move the target bugs we didn't fix. ;-)
Comment 10 Chris Ricker 2003-10-15 14:46:11 EDT
One thing to remember in all this discussion is that although Fedora Core is
down to two desktops, Fedora Extras, when that gets going, will have lots of
additional options. Those of us packaging window managers for Extras (like the
openbox RPM I built for fedora.us) would like some sort of infrastructure in
place so that people could install the RPM and have it integrate cleanly with
the ability to set it as the default and such. I'm not saying it has to be /
should be switchdesk, just that it's a need that needs solving at some level....
Comment 11 George Lebl 2003-10-15 17:37:47 EDT
But that's the whole idea.  GDM and KDM handle it for all kinds of different
wm's desktops, session types.  There's no point in having a two step process. 
For both KDE 3.2 and GNOME 2.4, *DMs you will just drop a .desktop file in
/usr/share/xsessions and voila, things will just work.  Someone just needs to
wire the 'startx' stuff to read these (it's trivial all doable in shell) and
read .dmrc.  So this solution is a replacement for switchdesk and does all that
switchdesk could.  (You could I suppose even write a switchdesk kind of thing to
set your default session in .dmrc, instead of having to do it at login time).
Comment 12 Jesse Keating 2003-10-19 01:09:04 EDT
Before it gets removed, could you find a replacement for those of us that do not
use a graphical login environment?  It was handy to have a tool that could
switch between the desktops ran by default with startx.  Having to init 5, pick
a WM, and then login is just a bit silly.  I see no other reason to keep it
around though.
Comment 13 Mike A. Harris 2003-10-19 14:45:48 EDT
Alternative to switchdesk, should work with all versions of XFree86 and
Red Hat Linux, for those who don't use runlevel 5:

echo windowmanager > ~/.xinitrc

Comment 14 Miloslav Trmac 2003-10-20 03:36:09 EDT
Maybe s/.xinitrc/.Xclients/ ?
I want my ~/.X* (:
Comment 15 Miloslav Trmac 2003-12-20 12:37:27 EST
Let's move forward a bit...
Grepping a full install of FC 1 shows that the only package
depending in any way on switchdesk is xinitrc, bug 112478
contains a patch that preserves full backward compatibility.
The need to change default gdm config has been filed as bug 112477.
Comment 16 Ngo Than 2004-05-26 04:08:16 EDT
i have rewritten switchdesk to support gtk2 for FC2, it now supports
many window managers that we have in disto and i'm the new maintainer
of this package.

This tool is very helpfull for people who don't use GDM/KDM.
Comment 17 George Lebl 2004-05-26 19:52:58 EDT
The bug about switchdesk not working properly WITH GDM/KDM still
persists.  switchdesk should work with the session setup that GDM/KDM
uses.  Like this GDM/KDM session setup is different from switchdesk
causing all kinds of usability issues.  For one there are TWO ways to
select which desktop/wm you wish to use, both of them likely have
different sets of choices AND you have to maintain two separate lists
instead of one AND thirdparty wms/desktops might only update say the
GDM/KDM, then again leaving non-GDM/KDM users out of luck.  If
switchdesk should be kept it should be ported to use the GDM/KDM
session setup.  That is, the guts of switchdesk are incompatible with
gdm/kdm and should be replaced.  I have nothing against people not
using gdm/kdm and still having a way to switch their desktop, but the
sessions should be the same as those that you select with GDM/KDM and
GDM/KDM session switching should work with it not orthogonally to it.
Comment 18 Mark McLoughlin 2004-06-04 09:47:56 EDT
See:

http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00010.html

and follow ups
Comment 19 Marco Pesenti Gritti 2004-10-05 06:36:38 EDT
The outcome of the mailing list discussion seem clear to me:

- It's UI wise the wanted behavior
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00127.html

- GDM is the default and command line users can deal with it differently
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00013.html

- We would follow upstream which doesnt hurt
Comment 20 Marius Andreiana 2006-02-19 04:40:52 EST
Ping? The conclusion on last 3 links was to remove it, but's it's still in
rawhide (and installed by default on FC5test1)
Comment 21 Nadav Kavalerchik 2006-11-21 09:05:31 EST
if you all decide to keep this package...

can you please make it switch desktop managers as well, moving from gdm to kdm
when choosing to switch from Gnome Desktop to KDE Desktop. or just have it as an
option.

kindly,
nadav :-)
Comment 22 Ngo Than 2006-11-21 10:34:13 EST
it's on my todo plan.
Comment 23 Red Hat Bugzilla 2007-02-05 13:56:39 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 24 Ngo Than 2008-03-05 08:38:25 EST
Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the 
corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.